/* Nom: Hidalgo
Prenom: Carlos
Classe: P1A
Date: 22/11/22
Projet: Site sans classe ou id */
* {
    margin: 0;
    padding: 0;
    font-family: 'Gill Sans', 'Gill Sans MT', Calibri, 'Trebuchet MS', sans-serif;
    scroll-behavior: smooth; /*Smooth Scroll*/
}
/* Body */
body {
    background-image: url(../images/backgroundSpace.jpg);
    height: 100vh;
    background-attachment: fixed;
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
}
/* Header */
header {
    color: #eee;
    text-align: center;
    font-size: 2vh;
    background-color: #121014;
    padding: 1vh;
}
/* --------------------Navigation--------------------- */
nav{
    background-color: #121014;
}
nav a {
    color: white;
    text-decoration: none;
}
/* Nav position */
nav ul {
    display: flex;
    justify-content: center;
    list-style-type: none;
    gap: 5vw;
    padding:1vh 0vw;
    font-size: 2.5vh;
}
/* Position du hover */
nav ul a {
    display: inline-block;
    position: relative;
}
/* Hover sur les nav */
nav ul a::after {
    content: '';
    position: absolute;
    width: 100%;
    transform: scaleX(0);
    height: 0.25vh;
    bottom: 0;
    left: 0;
    background-color: white;
    transform-origin: bottom;
    transition: transform 0.25s ease-out;
}
/* Animation de hover */
nav ul a:hover::after {
    transform: scaleX(1);
    transform-origin: bottom;
}
/* --------------------Main--------------------- */
/* Position des images */
main>div {
    display: flex;
    align-items: center;
    flex-direction: column;
    row-gap: 2em;
  }
  main>div>div {
    display: flex;
    align-items: center;
    justify-content: space-between;
    text-align: center;
  }
  
  main>div>div>p {
    padding: 0 1em;
  }
/* Hover animation aux images */
main>div>a img {
    /* Hover off */
    -webkit-transition-property: all;
    -webkit-transition-duration: 0.3s;
    -webkit-transition-timing-function: ease;
}
/* Hover sur les planetes, fait grandir */
main>div>a img:hover {
    transform: scale(1.13);
}
/* Taille et position des images */
main>div>div>img{
    width: 2vw;
    margin-left: 6.5vw;
}

p{
    color: white;
    font-size: 1.72vh;
    
}
/* --------------------Planet--------------------- */
/* Soleil */
main>div>a:nth-of-type(1) img {
    margin-top: 15vh;
    width: 31vw;
}

/* Mercure */
main>div>a:nth-of-type(2) img {
    width: 6vw;
}

/* Venus */
main>div>a:nth-of-type(3) img {
    width: 10.9vw;
}

/* Terre */
main>div>a:nth-of-type(4) img {
    width: 12vw;
}

/* Mars */
main>div>a:nth-of-type(5) img {
    width: 9vw;
}

/* Jupiter */
main>div>a:nth-of-type(6) img {
    width: 24vw;
}

/* Saturn */
main>div>a:nth-of-type(7) img {
    width: 33vw;
}

/* Uranus */
main>div>a:nth-of-type(8) img {
    width: 11vw;
}

/* Neptune */
main>div>a:nth-of-type(9) img {
    width: 11vw;
}
/* --------------------Footer--------------------- */
footer {
    background-color: #1F1F1F;
    height: 7vh;
    color: #8A8887;
    display: flex;
    justify-content: center;
    margin-top: 5vh;
}

/* Footer, paragraphe */
footer p {
    /* pour toujours qu'ils sont centré */
    margin-top: auto;
    margin-bottom: auto;
    font-size: 1.72vh;
    /* taille parfait comme un paragraphe*/
}